Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample Class Reference

`#include <OFaceSet.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample:
[legend]

## Public Types

typedef Sample | this_type

## Public Member Functions

| Sample ()
| Sample (const Abc::Int32ArraySample &iFaceNums)
const Abc::Int32ArraySample & | getFaces () const
void | setFaces (const Abc::Int32ArraySample &iFaces)
const Abc::Box3d & | getSelfBounds () const
void | setSelfBounds (const Abc::Box3d &iBnds)
void | reset ()

## Protected Attributes

Abc::Int32ArraySample | m_faces
Abc::Box3d | m_selfBounds

## Detailed Description

Definition at line 58 of file OFaceSet.h.

## Member Typedef Documentation

## this_type

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::this_type

Definition at line 61 of file OFaceSet.h.

## Constructor & Destructor Documentation

## Sample() [1/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::Sample | ( |  | ) |

inline

Creates a default sample with no data in it. ...

Definition at line 65 of file OFaceSet.h.

## Sample() [2/2]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::Sample | ( | const Abc::Int32ArraySample & | iFaceNums | ) |

inline

Creates a sample with the list of faces that are in this faceset. The array of face numbers MUST be ordered by face number. Code that reads and works with facesets depends on this for efficency. e.g. call std::sort (myVecOfFaces.begin (), myVecOfFaces.end ()); if you need to. The sample must be complete like this. Subsequent samples may also consist of faces which allows you to change of topology of the faceset.

Definition at line 76 of file OFaceSet.h.

## Member Function Documentation

## getFaces()

const Abc::Int32ArraySample & Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::getFaces | ( |  | ) | const

inline

Definition at line 82 of file OFaceSet.h.

## getSelfBounds()

const Abc::Box3d & Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::getSelfBounds | ( |  | ) | const

inline

Definition at line 87 of file OFaceSet.h.

## reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::reset | ( |  | ) |

inline

Definition at line 91 of file OFaceSet.h.

## setFaces()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::setFaces | ( | const Abc::Int32ArraySample & | iFaces | ) |

inline

Definition at line 83 of file OFaceSet.h.

## setSelfBounds()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::setSelfBounds | ( | const Abc::Box3d & | iBnds | ) |

inline

Definition at line 88 of file OFaceSet.h.

## Member Data Documentation

## m_faces

Abc::Int32ArraySample Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::m_faces

protected

Definition at line 99 of file OFaceSet.h.

## m_selfBounds

Abc::Box3d Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema::Sample::m_selfBounds

protected

Definition at line 102 of file OFaceSet.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/OFaceSet.h